import styled from 'styled-components';
import defaultTheme from '../../theme';
import { paddable, flexbox, alignColumn, alignRow, textAlign, } from '../../utils';
export const Box = styled.div({
    display: 'flex',
    padding: '0.5em 0',
    position: 'relative',
    '&:first-of-type': {
        paddingBottom: 0,
    },
    // Last but not second
    '&:last-of-type:not(:nth-child(2))': {
        paddingTop: 0,
    },
}, (props) => ({
    flexFlow: `${props.type} wrap`,
    ...(props.type === 'column' ? alignColumn(props) : alignRow(props)),
}), textAlign, flexbox, paddable);
Box.defaultProps = {
    theme: defaultTheme,
    type: 'column',
};
