import styled from 'styled-components';
import defaultTheme from '../../theme';
export const Divider = styled.div({
    lineHeight: '1em',
}, ({ theme, hide, vertical }) => vertical
    ? {
        borderLeft: `1px solid ${hide ? 'transparent' : theme.greyscale.medium}`,
        borderRight: '1px solid hsla(0,0%,100%,.1)',
        height: 'calc(100% - 2rem)',
        top: '1rem',
        left: '50%',
        position: 'absolute',
        transform: 'translateX(-50%)',
        width: 0,
        margin: '0 1rem',
    }
    : {
        margin: '1rem 0',
        height: 0,
        borderTop: `1px solid ${hide ? 'transparent' : theme.greyscale.medium}`,
        borderBottom: '1px solid hsla(0,0%,100%,.1)',
    });
Divider.defaultProps = {
    theme: defaultTheme,
};
