export const clickable = ({ color, disabled, theme, secondary, }) => {
    const colorValue = theme.colors[color || 'primary'];
    return {
        cursor: 'pointer',
        // Disabled
        ...(disabled
            ? {
                pointerEvents: 'none',
                opacity: 0.45,
            }
            : {}),
        // OnClick
        '&:active:hover': secondary
            ? {
                borderColor: colorValue.active,
                backgroundColor: colorValue.verylight,
            }
            : {
                backgroundColor: colorValue.active,
            },
        // Hover or focus
        '&:hover, &:focus': secondary
            ? {
                borderColor: colorValue.hover,
            }
            : {
                backgroundColor: colorValue.hover,
            },
    };
};
